package com.ruoyi.system.user.service;

import com.ruoyi.common.core.domain.vo.UserVO;
import com.ruoyi.system.user.domain.vo.UserConsumeVO;
import com.ruoyi.system.user.domain.vo.UserStatVO;

import java.util.List;

public interface UserAssembler {

    /**
     * 拼接用户消费数据
     * @param list
     */
    void assembleConsume(List<UserConsumeVO> list);

    /**
     * 拼接用户充值金额
     * @param list
     */
    void assembleRechargeAmount(List<UserConsumeVO> list);

    /**
     * 拼接用户最近消费时间
     * @param list
     */
    void assembleLastConsumeTime(List<UserConsumeVO> list);

    /**
     * 拼接用户爆灯次数
     * @param list
     */
    void assembleLightingNum(List<UserVO> list);
}
